import { hub } from "..";

export interface IDeviceSetupItemProps {
    deviceName: string,
    input: string,
    hub: hub
}

/**
 * Data model to hold device setup items.
 */
export class DeviceSetupItem {
    private _deviceId: string = "";
    private _input: string = "";
    private _hubType: hub;
    constructor(props: IDeviceSetupItemProps) {
        this._deviceId = props.deviceName;
        this._input = props.input;
        this._hubType = props.hub;
    }

    public get deviceName() {
        return this._deviceId;
    }

    public get input() {
        return this._input;
    }

    public get hubType() {
        return this._hubType;
    }
}